<?php



/**

* Child theme stylesheet einbinden in Abhängigkeit vom Original-Stylesheet

*/



function child_theme_styles() {

	wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css' );

	wp_enqueue_style( 'child-theme-css', get_stylesheet_directory_uri() .'/style.css' , array('parent-style'));



}

add_action( 'wp_enqueue_scripts', 'child_theme_styles' );



/**

 * Get default theme options.

 *

 * overriding parent function

 *

 * @return array Default theme options.

 */

function blog_way_get_default_theme_options() {



	$defaults = array();



	//Header

	$defaults['site_identity'] 			= 'title-text';

	$defaults['sticky'] 				= 0;



	// colors

	$defaults['body_color'] 			= '#666666';

	$defaults['site_title_color'] 		= '#C39797';

	$defaults['site_description_color'] = '#666666';

	$defaults['button_color']			= '#E9A5A5';

	$defaults['scrollup_color']			= '#E9A5A5';

	$defaults['header_bg_color'] 		= '#E9A5A5';

	$defaults['menu_color'] 			= '#E9A5A5';

	$defaults['menu_hover_color'] 		= '#000000';

	$defaults['headings_color'] 		= '#af8787';

	$defaults['meta_color'] 		    = '#e9a5a5';

	$defaults['anchor_color'] 		    = '#E9A5A5';

	$defaults['footer_bg_color'] 		= '#808786';

	$defaults['footer_text_color'] 	    = '#ffffff';



	$defaults['reset_colors']           = false;



	// Blog

	$defaults['global_layout']  		= 'left-sidebar';

	$defaults['excerpt_length'] 		= 50;



	// Footer.

	$defaults['copyright'] 				= esc_html__( 'Copyright &copy; All rights reserved.', 'blog-way' );



	//Scroll Up

	$defaults['enable_scrollup'] 		= 0;



	return $defaults;

}



/**

 * Get default color options.

 *

 * overriding parent function

 *

 * @return array Default theme options.

 */

function blog_way_get_default_color_options() {



	$defaults = array();



   // colors

	$defaults['body_color'] 			= '#666666';

	$defaults['site_title_color'] 		= '#C39797';

	$defaults['site_description_color'] = '#666666';

	$defaults['button_color']			= '#E9A5A5';

	$defaults['scrollup_color']			= '#E9A5A5';

	$defaults['header_bg_color'] 		= '#E9A5A5';

	$defaults['menu_color'] 			= '#E9A5A5';

	$defaults['menu_hover_color'] 		= '#000000';

	$defaults['headings_color'] 		= '#029183';

	$defaults['meta_color'] 		    = '#e9a5a5';

	$defaults['anchor_color'] 		    = '#E9A5A5';

	$defaults['footer_bg_color'] 		= '#808786';

	$defaults['footer_text_color'] 	    = '#ffffff';



	$defaults['reset_colors']           = false;



	return $defaults;

}





function blog_way_setup() {

	// Add default posts and comments RSS feed links to head.

	add_theme_support( 'automatic-feed-links' );

    

	/*

	 * Let WordPress manage the document title.

	 * By adding theme support, we declare that this theme does not use a

	 * hard-coded <title> tag in the document head, and expect WordPress to

	 * provide it for us.

	 */

	add_theme_support( 'title-tag' );



	/*

	* Enable support for editor style.

	*/  

	add_editor_style( 'assets/css/editor-style.css' );



	/*

	* Enable support for custom logo.

	*/  

	add_theme_support( 'custom-logo', array(

		'flex-height' => true,

		'flex-width'  => true,

	) );



	/*

	 * Enable support for Post Thumbnails on posts and pages.

	 *

	 * @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/

	 */

	add_theme_support( 'post-thumbnails' );

	add_image_size( 'blog-way-sandra', 708, 300, true );



	// This theme uses wp_nav_menu() in one location.

	register_nav_menus( array(

		'primary' => esc_html__( 'Primary', 'blog-way' ),

		'social'  => esc_html__( 'Social', 'blog-way' ),

	) );



	/*

	 * Switch default core markup for search form, comment form, and comments

	 * to output valid HTML5.

	 */

	add_theme_support( 'html5', array(

		'search-form',

		'comment-form',

		'comment-list',

		'gallery',

		'caption',

	) );



	// Set up the WordPress core custom background feature.

	add_theme_support( 'custom-background', apply_filters( 'blog_way_custom_background_args', array(

		'default-color' => 'ffffff',

		'default-image' => '',

	) ) );



	// Add woocommerce support, gallery zoom, lightbox and thumbnail slider.

	add_theme_support( 'woocommerce' );

	add_theme_support( 'wc-product-gallery-zoom' );

	add_theme_support( 'wc-product-gallery-lightbox' );

	add_theme_support( 'wc-product-gallery-slider' );

}

add_action( 'after_setup_theme', 'blog_way_setup' );



function blog_way_credit_action(){ 

?> 

	<div class="col-md-6 col-sm-6">     

		<div class="credit-text">             

			<?php 

			/* translators: 1: name of theme, 2: Link of theme author */

			printf( esc_html__( '%1$s by %2$s', 'blog-way' ), 'Basistheme', '<a href="https://promenadethemes.com/" rel="designer" target="_blank">Promenade Themes</a><br/>' ); 

			printf( esc_html__( '%1$s by %2$s', 'blog-way' ), 'Editing', '<a href="http://lovefolio.de" rel="designer" target="_blank">Lovefolio.de</a>' ); 

			?>

		</div>

	</div>

<?php

}



?>